if (this.item.equipped.value
  && args.opposedTest.attackerTest.item 
  && (args.opposedTest.attackerTest.item.isProjectiles || args.opposedTest.attackerTest?.spell)
  ) 
{
  args.modifiers.other.push({label : this.effect.name, details : "Réduction des Dégâts", value : -2})
}